Bug 204583 - AssertionError: Instance JBoss 6 started again without proper stop
AssertionError: Instance JBoss 6 started again without proper stop
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: JBoss
7.1
All All
: P2 (vote)
: 8.0
Assigned To: Petr Hejl
issues@serverplugins
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 13:08 UTC by Jiri Skrivanek
Modified: 2014-02-17 14:26 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.54 KB, text/plain)
2011-11-02 13:08 UTC, Jiri Skrivanek
Details
stacktrace (2.57 KB, text/plain)
2012-08-27 12:46 UTC, jpthirumalaiNB
Details
stacktrace (1.79 KB, text/plain)
2013-03-01 21:47 UTC, misterm
Details
stacktrace (1.79 KB, text/plain)
2013-03-04 17:48 UTC, misterm
Details
stacktrace (1.79 KB, text/plain)
2013-03-04 18:06 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2011-11-02 13:08:11 UTC
Build: NetBeans IDE Dev (Build 20111102-951d08566353)
VM: Java HotSpot(TM) Client VM, 21.1-b02, Java(TM) SE Runtime Environment, 1.7.0_01-b08
OS: Windows XP

User Comments:
jskrivanek: To reproduce:

- create web application targeting JBoss6 server
- call Profile on project node
- wait until server is started and application opened in browser
- go to Profiler tab
- click red button to stop profiler
- go to Projects tab
- call Run on project node and exception is thrown




Stacktrace: 
java.lang.AssertionError: Instance JBoss 6 started again without proper stop
   at org.netbeans.modules.j2ee.jboss4.ide.JBOutputSupport.reset(JBOutputSupport.java:249)
   at org.netbeans.modules.j2ee.jboss4.ide.JBOutputSupport.start(JBOutputSupport.java:119)
   at org.netbeans.modules.j2ee.jboss4.ide.JBStartRunnable.run(JBStartRunnable.java:147)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1411)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1991)
Comment 1 Jiri Skrivanek 2011-11-02 13:08:14 UTC
Created attachment 112739 [details]
stacktrace
Comment 2 jpthirumalaiNB 2012-08-27 12:46:59 UTC
Created attachment 123605 [details]
stacktrace
Comment 3 misterm 2013-03-01 21:47:51 UTC
Created attachment 132090 [details]
stacktrace
Comment 4 misterm 2013-03-04 17:48:11 UTC
Created attachment 132159 [details]
stacktrace
Comment 5 Exceptions Reporter 2013-03-04 17:48:16 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=182521
Comment 6 misterm 2013-03-04 18:06:13 UTC
Created attachment 132162 [details]
stacktrace
Comment 7 Exceptions Reporter 2014-02-11 17:01:27 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=182521
Comment 8 Petr Hejl 2014-02-13 15:10:42 UTC
Fixed in web-main 19c21dca65c6.
Comment 9 Quality Engineering 2014-02-14 02:51:48 UTC
Integrated into 'main-silver', will be available in build *201402140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/19c21dca65c6
User: Petr Hejl <phejl@netbeans.org>
Log: #204583 - AssertionError: Instance JBoss 6 started again without proper stop


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo